Gönderen Konu: Ubuntu 16.04 ve sonrası için amd/ati sürücüsü[17.50/Bütün GCN/freesync destekli]  (Okunma sayısı 16772 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Merhaba,

Yayınlanan yeni sürücünün desteği ve kurulumu ve ek bilgi olarak amd 17.50 sürümünden itibaren açık kaynak güncel sürücü ve kendi kapalı kaynak sürücüsünü beraber sundu. hangisi daha performans verirse onu kullanabilirsiniz.

Sürücüyü bu sayfadan inidirip https://support.amd.com/en-us/kb-articles/Pages/Radeon-Software-for-Linux-Release-Notes.aspx
uygun bir dizine açın.

vega ve üstü nesil kartı olanlar
Kod: [Seç]
./amdgpu-pro-install -y --opencl=rocm

vega öncesi ekranı kartı olanlar
Kod: [Seç]
./amdgpu-pro-install -y --opencl=legacy

amdnin sunduğu güncel mesa pakedini yüklemek isteyenler yukardaki komutlardaki "amdgpu-pro-install" yerine "amdgpu-install" değiştirerek uygularlarsa güncel açık kaynak sürücü kurulacaktır.

çift ekran kartı sahibi kişiler yukarda belirtilen kurulum komutuna uygun olarak aşağıdaki px seçeneği de ekleyerek sürücü yüklerlerse ekran kartları arasında geçiş yapabilirler.
Kod: [Seç]
--px

deneme için uygum sistemim olmadığı için aşağıdaki komutlar halen geçerli mi bilmiyorum ama fikir vermesi açısından deneyebilirsiniz.
dahili ekran kartı ile harici kart arası geçiş için ise aşağıdaki komutları kullanabilirler.
Kod: [Seç]
/opt/amdgpu-pro/bin/amdgpu-pro-px --ispx
yukardaki komut "true" olarak dönüş yaparsa kartlar arası geçiş yapılabilir demek

powersaving -> dahili ekran kartı
performance -> harici ekran kartı
Kod: [Seç]
Code:
sudo /opt/amdgpu-pro/bin/amdgpu-pro-px --mode powersaving
sudo /opt/amdgpu-pro/bin/amdgpu-pro-px --mode performance
Geçişlerin etkin olabilmesi için her geçişte oturum kapa/aç yapılması gerekiyor.

sürücü kurulu tamamlanacaktır. Bütün GCN tabanlı kartlar destekleniyor. ek olarak freesync 1.0 ve DirectGMA desteği de gelmiş.
GCN öncesi karta sahip olanlar açık kaynak sürücü ile devam etmek zorunda açık kaynak sürücüsü o seviye kartlar için yeterli kıvama geldi diyebiliriz. amd inde niyeti GCN öncesi kartları legacy statüsünde açık kaynak üstünden destek vermek.

aşağıdaki kartlar destekleniyor.
Radeon™ RX Vega Series Graphics
Radeon™ Vega Frontier Edition
Radeon™ RX 550/560/570/580 Series Graphics
AMD Radeon™ RX 460/470/480 Graphics
AMD Radeon™ Pro Duo
AMD Radeon™ R9 Fury/Fury X/Nano Graphics
AMD Radeon™ R9 380/380X/390/390X Graphics
AMD Radeon™ R9 285/290/290X Graphics
AMD Radeon™ R7 240/250/250X/260/260X/350
AMD Radeon™ HD7700/7800/8500/8600
AMD Radeon™ R9 360 Graphics
AMD Radeon™ R5 340
AMD Radeon™ Pro WX-series
AMD FirePro™ W9100
AMD FirePro™ W8100
AMD FirePro™ W7100
AMD FirePro™ W5100
AMD FirePro™ W4300
AMD FirePro™ W4100
AMD FirePro™ W2100
AMD FirePro™ W600
AMD FirePro™ S-Series
AMD Radeon™ Pro WX 9100
.

@heartsmagic'in ricası üzerine AMD'in yeni sürücü modelindeki durumu ve ubuntu 16.04'teki akibeti hakkında bilgileri aşağıda bulubilirsiniz eksik ve/veya düzeltilmesini istediğiniz kısımları iletmenizi rica ederim.

Malum ubuntu 16.04 için amd'in catalyst(fglrx) sürücüsünü kaldırdığını ve desteklemeyeceği açıkladı.Bu karar amd ve ubuntunun ortak kararı gibi birşeydi. bir LTS dağıtımında ömrünün sonuna gelmiş bir pakedi desteklemek ilerde oluşacak güvenlik ve hata güncellemeleri ihtiyacı doğuracaktı. bununla uğraşmak yerine direkt olarak yeni sürücü modeline odaklanmayı seçtiler. Bu bir süreç ve desteklenmeme durumu geçicidir. Açıklamalara göre yılın ikinci çeyreği yeni sürücü yayınlanacak. ( küçük bir ihtimal yüzde bir de diyebiliriz. amdgpu gelişimde ciddi problemler oluşursa geçici olarak catalyst yeniden yayınlanabilir ama dediğim gibi düşük bir ihtimal)

AMD'in eski sürücüsündeki sorunlarının başında yeni kernel ve xorg ile adaptasyondu bunun önüne geçmek için amdgpu adında açık kaynak çekirdek sürücüsü geliştirildi. Bu tek çekirdek ile hızlı adaptasyon ve güncellemelere ulaşmak demek. Açık kaynak ile kapalı tarafı sürücüler tek çekirdek sürücüsü ile kullanılacak.Direkt kernel içi destek sağlanıyor. İsimleri ayırmak için ise amdgpu açık kaynak ve amdgpu-pro kapalı tarafın paket ismi olarak iki isim düşündükleri açıkladılar.

amdgpu vulkan destekli olarak şuan ubuntu 14.04.4 ve 16.04 için betası yayınlandı. Steamos için RC1 sürümü depolara girdi. GCN 1.1(destek açık ama test edilmemiş ama ben ettim ;D ) ve GCN 1.2 kartları destekliyor. amd in niyeti bütün GCN kartları amdgpu ile desteklemek şuan sadece GCN 1.0 desteği için çalışılıyormuş. açıklamalar bu yönde ilk seferde yetişmeyebilir dendi ama ilerde kesin olarak desteklenecek açıklaması geldi.

GCN olmayan eski nesil ve açık kaynak sürücüsü hakkında durumu izah edeyim. amd in muhtemel planı desteği kesilen kartlara açık kaynak sürücüleri desteklemek yani hiç yoktan iyidir. ;D
hani şu eskiden performans/stabilite sorunu olan radeon sürücüsü yüksek bir ivme ile geliştirilmeye devam ediyor. depolardaki paketlerde opengl 4.1 desteği var ve geliştirilmekte olan sürümde opengl 4.3 desteği geldi.
yani kapalı ve açık arasındaki fark kapanmak üzere yanlış anlaşılma olmasın halen bir takım sıkıntıları var ama giderilmeye çalışılıyor. amd de ön ayak oluyordur herhalde opengl 4.4/4.5 desteği geldiğinde tam olarak oturmuş olacaktır.

Bu kadar detay ve açıklama yeter 16.04 kullanıcıları neyi ne zaman nasıl yükleyecekleri belirtebiliriz.
Ubuntu 16.04 te şuan için sadece açık kaynak radeon veya deneme aşamasında olan amdgpu-pro(beta/rc) sürücülerini kullanabilirsiniz. Herhangi bir sebep ile kapalı sürücü kullanmak isteyene 14.04.4 kullanması tavsiye olunur.

depolara yeni amdgpu-pro paketleri eklendiğinde ek sürücüler menüsüne eklenecektir. ordan sorunsuz kurabilirsiniz. radeon/amdgpu çakışması ve henüz kernele kabul edilmeyen DAL sürücüsü gibi ek sürücüler içinde dkms yolu ile sorun giderildi. en azından yayınlanan beta sürücüsünde hal bu şekilde, umarım yardımcı olmuşumdur.
« Son Düzenleme: 30 Aralık 2017 - 21:28:35 Gönderen: nuked »

Yanlış görmüyorsam 5430 GCN1.0 içinde ve sürücü desteği yok. Açık kaynak ne veriyorsa onunla devam etmen lazım.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

Dün gittim msi r7 360 ekran kartı aldım, amd'nin açık kaynak driver kullanabilmek için. gcn 2. serisidenmiş.
https://en.wikipedia.org/wiki/AMD_Radeon_Rx_300_series
 (gcn muhabbetinden bihaber olarak aldım kartı - 370 serisinde freesync yok ve 4k 60 vermiyor diye biliyorum gerçi bu kartla oyun maksatlı freesync ve 4k 60p olmazda olsun test ederim hiç olmazsa. gtx 770 de var sisteme takılı onu kvm ile sanal makineye aktarıcam bununda 4k 60p video desteği yok )
Kod: [Seç]
alihakki@karga:~$ lspci | grep -i --color 'vga'
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81)
04:00.0 VGA compatible controller: NVIDIA Corporation GK104 [GeForce GTX 770] (rev a1)
alihakki@karga:~$

amd pro sürücüsünü indirdim ubuntu 16.04 üzerine KDE-neon kullanıyorum. bir türlü yüklüyemedim.
Kod: [Seç]
~/İndirilenler/amdgpu-pro-driver$ sudo ./amdgpu-pro-install
/etc/os-release: line 4: debian: command not found
hatası veriyor.
dosyanın içeriğine baktım.
şuan sadece ubuntu ve steamos için çıkmış heralde, şu  ". /etc/os-release" satırdan nasıl kurtulabilirim. onu silince de "Unsupported OS" mesajı veriyor :D
Kod: [Seç]
function os_release() {
[[ -r  /etc/os-release ]] && . /etc/os-release

case "$ID" in
ubuntu)
PACKAGES="amdgpu-pro amdgpu-pro-lib32 amdgpu-pro-dkms"
;;
steamos)
PACKAGES="amdgpu-pro-driver amdgpu-pro-lib32 "`
`"glx-alternative-amdgpu-pro amdgpu-pro-dkms"
;;
*)
echo "Unsupported OS" | stderr
exit 1
;;
esac
}

"KDE neon" yazan yere ubuntu yazdım yemedi :'(
Kod: [Seç]
$ cat /etc/os-release
NAME="KDE neon"
VERSION="5.7"
ID=neon
ID_LIKE=ubuntu debian
PRETTY_NAME="KDE neon User Edition 5.7"
VERSION_ID="16.04"
HOME_URL="http://neon.kde.org/"
SUPPORT_URL="http://neon.kde.org/"
BUG_REPORT_URL="http://bugs.kde.org/"
UBUNTU_CODENAME=xenial

debian tabanlı ise steamos yerine neon yazın yok ubuntu tabanlı ise ubuntu yerine neon yazın olacaktır. ID yazanı okuyor.

Denedim bu sefer 43. satırda hata verdi, benim sistemde önemli bir şey yoktu, formatı çekip ubuntu kurdum test için. amdgpu-pro sürücüsünü kurdum tek komutla :D ama unity uçtu gitti :D. pencerelerin çerçeveleride görünürde yok. Birde compiz de problemblem var sanırım. pencereler arası alt tab la geçiş yaparken sanki vsync çatlıyor gibi ve ağır.

farenin sağ butonuyla terminali açıp blender yükledim. Ekran kartı yüklenmiş. test için blender kurdum.
Kod: [Seç]
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] [1002:665f] (rev 81) (prog-if 00 [VGA controller])
Subsystem: Micro-Star International Co., Ltd. [MSI] Tobago PRO [Radeon R7 360 / R9 360 OEM] [1462:8098]
Flags: bus master, fast devsel, latency 0, IRQ 28
Memory at b0000000 (64-bit, prefetchable) [size=256M]
Memory at cf800000 (64-bit, prefetchable) [size=8M]
I/O ports at be00 [size=256]
Memory at fdd80000 (32-bit, non-prefetchable) [size=256K]
[virtual] Expansion ROM at fdd00000 [disabled] [size=128K]
Capabilities: <access denied>
Kernel driver in use: amdgpu
Kernel modules: radeon, amdgpu

01:00.1 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] Tobago HDMI Audio [Radeon R7 360 / R9 360 OEM] [1002:aac0]
BMV blender benchmark dosyası ile yaptığım testte. (http://dl.dropbox.com/u/1742071/1m/BMW1M-MikePan.blend)
AMD 8350 cpu render süeresi: 02:14.94
AMD R7 360 ile Opencl gpu render süresi: 02:09.01

Zaten bu ekran kartını alırkenki düşüncem, ufak tefek işlerde bana işlemciyi kullandırtmasın çok kafa ütülüyor işlemci çünkü fanı çalışınca. uzun render işlerinde GTX770'e iş paslarım diyeydi. zaten şuandada öyle prof bir durumum yok.

amdgpu sürücüsünün gelişmesini beklemekte fayda var :) yiğenlerime 2 adet lenovo notebook aldım intel - amd ekran kartlı. Kendimede alsam sırf açık kaynağa yatığı destekten dolayı yine amd alıcam.

not: uzun bir aradan sonra ilkkez ubuntu kurdum, 4 sene olmuştur belki unityi sevmedim...

Bilgisayarı oyun amacı ile kullanmıyorum. Yakın zamanda bilgisayarda yapabileceğim en ağır iş GIMP'i çalıştırmak olur. Ati'nin yayınladığı listede ekran kartım yok. Ancak başlatıcının değiştirilebilmesi nedeniyle Ubuntu Studio 16.04 LTS kurmak istiyorum. Ciddi bir sorun yaşar mıyım sizce?

Not: Şu an kullandığım sistem Lubuntu 15.10.

Düzenleme: Desteklenmeyen Ati ekran kartın olduğu bilgisayara Ubuntu Studio 16.04 LTS kurdum. Herhangi bir sorun yok şimdilik.
« Son Düzenleme: 24 Temmuz 2016 - 03:46:58 Gönderen: Yah »

Hadi artık çok bekletmeyin bizi yazıktır günahtır :).
Kod: [Seç]
VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Curacao PRO [Radeon R7 370 / R9 270/370 OEM] (rev 81)
Kabin basıncı düştü motorlarda arıza !
Vakit süratle aksın hakimiyet kur nabıza !
İçinden nasıl geldiyse yaz anlat herşeyi ,
Bu mektup varmıcak hayalini kurduğun kıza !

Hadi artık çok bekletmeyin bizi yazıktır günahtır :).
Kod: [Seç]
VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Curacao PRO [Radeon R7 370 / R9 270/370 OEM] (rev 81)
az kaldı :)) 16.04.2 güncelleme pakedine yetiştirecekler sanırım
http://www.phoronix.com/scan.php?page=news_item&px=AMDGPU-SI-Almost-Ready

Heyecanla bekliyorum  ::) ::)
Kabin basıncı düştü motorlarda arıza !
Vakit süratle aksın hakimiyet kur nabıza !
İçinden nasıl geldiyse yaz anlat herşeyi ,
Bu mektup varmıcak hayalini kurduğun kıza !

Verdiğiniz alternatifler Xubuntu Kubuntu gibi yerlerde de geçerli midir?
Yoksa her şey yeniden mi başlayacak?

Eğer Linux türevi bir dağıtım kullanıyorsanız kesinlikle AMD'nin işlemcisinden ve ekran kartlarından uzak durun! Ben çok pişmanım. Windows'ta sorun çıkardığı yetmiyormuş gibi bir de Linux dağıtımlarında sorun çıkarıyor. Hatta ekran kartına bazen kendi kendine başka model numarası da veriyor. Kimi zaman R5 diyor kimi zaman M230 falan diyor, kimi zaman HD 8500 diyor aynı karta. O yüzden tavsiyem İntel+Nvidia ikilisini kullanmanızdan yana olacaktır.
~~~~~   Bazı insanlar o kadar fakir ki tek sahip oldukları şey para...   ~~~~~

Merhabalar

Yeni bir ubuntu kullanıcısı ve hiç yazılım bilgisi olmayan biri için ubuntuya geçmek haliyle zor oldu. Ancak araştırma ile yeterince araştırırsam her türlü bilgiye ulaşabildiğimi farkettim. Şimdi bana yardımcı olabileceğinizi umduğum bir sorunum var. Yayınlanmış olan 16.04 Ubuntu versiyonu için AMD driverını kurdum. Ancak reboot attığım zaman ekran blinklemeye yani saniyelik gidip gelmeler olmaya ve windows dilinde explorer.exe olan ana ekran gelmiyor. Sadece ana ekranımda olan dosya varsa o belirgin halde duruyor ama ekran sürekli yarım saniye ile 1 saniye arasında gidip gidip gelmeye devam ediyor. Siyah ekran almıyorum ama. Direk normal gidip gelme var ekranda. Bu durumda önerileriniz nedir? Neler yapmam gerekir ve şu anda mesela driverımın ne olduğunu yüklü olup olmadığını nereden öğrenebilirim?

Yardımlarınız için şimdiden teşekkürler.

Merhaba @Caliopa, aramıza hoş geldin. İstersen ATI bölümünün altına yeni konu aç oradan devam edelim.
Konu açarken şu çıktıları almamız lazım. Bir de sürücü kurulumunu nasıl yaptın? Hangi sürücüyü indirdin?
Kod: [Seç]
dpkg -l | egrep "nvidia|bumblebee|nvidia-prime|fglrx"
dpkg -l | grep amdgpu

Ctrl + Alt + F1 ile komut satırına düş. İlk önce kullanıcı adını sonra da şifreni gir. Şifre girer iken karakter gözükmez. Yukarıdaki komutların çıktılarını bir şekilde konuya geçersin.

Eğer Linux türevi bir dağıtım kullanıyorsanız kesinlikle AMD'nin işlemcisinden ve ekran kartlarından uzak durun! Ben çok pişmanım. Windows'ta sorun çıkardığı yetmiyormuş gibi bir de Linux dağıtımlarında sorun çıkarıyor. Hatta ekran kartına bazen kendi kendine başka model numarası da veriyor. Kimi zaman R5 diyor kimi zaman M230 falan diyor, kimi zaman HD 8500 diyor aynı karta. O yüzden tavsiyem İntel+Nvidia ikilisini kullanmanızdan yana olacaktır.
Windows'ta gayet iyi çalışıyor AMD ürünleri. R9 280X'im Windows'ta beni hiç üzmedi.

Linux üzerindeki sorunların da çoğu çözülecek. Adamlar sıfırdan açık kaynak sürücü yapıyor daha ne yapsınlar?

Farklı isimlerle görülmesinin sebebi AMD'nin bazen ürünlerinin yenilenmiş sürümlerini farklı isimlerle piyasaya sürmesi.

Eğer Linux türevi bir dağıtım kullanıyorsanız kesinlikle AMD'nin işlemcisinden ve ekran kartlarından uzak durun! Ben çok pişmanım. Windows'ta sorun çıkardığı yetmiyormuş gibi bir de Linux dağıtımlarında sorun çıkarıyor. Hatta ekran kartına bazen kendi kendine başka model numarası da veriyor. Kimi zaman R5 diyor kimi zaman M230 falan diyor, kimi zaman HD 8500 diyor aynı karta. O yüzden tavsiyem İntel+Nvidia ikilisini kullanmanızdan yana olacaktır.
Windows'ta gayet iyi çalışıyor AMD ürünleri. R9 280X'im Windows'ta beni hiç üzmedi.

Linux üzerindeki sorunların da çoğu çözülecek. Adamlar sıfırdan açık kaynak sürücü yapıyor daha ne yapsınlar?

Farklı isimlerle görülmesinin sebebi AMD'nin bazen ürünlerinin yenilenmiş sürümlerini farklı isimlerle piyasaya sürmesi.

opengl hariç geri kalan sıfırdan diyebiliriz. mesela vulkan destekli oyunlar da gerçek performansı göreceğiz. opengl desteğini sıfırdan yazmadılar o kadar zaman ve imkan yaratamazlar hazır olanı kullanmayı tercih ettiler eski fglrx dekini direkt aldılar diyebiliriz. opengl oyunlarda fglrx kadar performans verebiliyor.

Kod: [Seç]
error: Detected X Server version 'XServer 1.18.3_64a' is not supported. Supported versions are X.Org 6.9 or later, up to XServer 1.10 (default:v2:x86_64:lib:XServer 1.18.3_64a:none:4.4.0-21-generic:)
Installation will not proceed.
Benim driver yüklemeye çalışırken bu hatayı alma sebebimin çözümü müdür bu, ben Linux noobuyum da.
Linux Mint Sarah kullanıyorum.

GCN 1.0 mimarisine sahip GPU'ları olanlar için iyi bir haber var. Linux 4.9 sürümü ile GCN 1.0 GPU'lar için AMDGPU desteği geliyor.  :D


AMD'ye zamanında Linux sürücülerini ciddiye almadığı için bayağı sövmüştüm. Linux üzerinde oyun oynamak için en iyi marka Nvidia demiştim. Ama adamlar Nvidia'nın yapmadığını yapıp açık kaynak sürücü yazıyor.

@bgencacat, normal sürücü deniyorsan evet sistemindeki X sürümü güncel olduğu için sorun yaşıyorsun. Kartına göre bu başlığı iyice bir incelersen yeni sürücülerde destek var mı yok mu görmüş olursun.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

Benim kartlar bunlar.
Kod: [Seç]
Graphics:  Card-1: Advanced Micro Devices [AMD/ATI] Mullins [Radeon R4/R5 Graphics]
           bus-ID: 00:01.0
           Card-2: Advanced Micro Devices [AMD/ATI] Sun LE [Radeon HD 8550M / R5 M230]
Şimdi bu destek verilmeyecek kartlar ne olacak? Ben yeniden laptop mu alacağım destek kesildiği zaman? Kusura bakmayın cidden konuyu çokça okudum lâkin kartımla ilgili durumu anlayamadığım için yine de sormak istedim.
~~~~~   Bazı insanlar o kadar fakir ki tek sahip oldukları şey para...   ~~~~~

Şu an desteği olmayan kartlar için iki şey olabilir:
1. Destek ileride yeni bir sürücü ile gelir.
2. Hiç gelmez.

Hiç gelmeyen seçeneği içeren bir kartın varsa açık kaynak sürücülerle hayatına devam edersin.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

Şu an desteği olmayan kartlar için iki şey olabilir:
1. Destek ileride yeni bir sürücü ile gelir.
2. Hiç gelmez.

Hiç gelmeyen seçeneği içeren bir kartın varsa açık kaynak sürücülerle hayatına devam edersin.

şuan için kesin olan GCN tabanlı kartların tamamı desteklenecek ama GCN olmayanlar açık kaynak ile devam edecek.
ek olarak şunu belirtebilirim. açık kaynak sürücülerde radeon tarafında gayet hızlı gelişiyor. destek yok derken AMD in kendisi de açık kaynak sürücülerin gelişiminde katkı da bulunuyor.
bu demek değil ki sürücü yoksa kartı performansında kullanamam açık kaynak sürücülerde r600 opengl 4.1 destekli radeonsi ise opengl 4.3 desteği var ve halen geliştirilmeye de devam ediyorlar.
tahminlere göre 6/9 ay için opengl 4.5 destekler hale gelecekler. performans ve stabilite konusunda sürücü gayet yeterli düzey de demem o ki AMD her iki tarafı da destekliyor. bildiğim kadarıyla AMD açık kaynak tarafını legacy sürücü gibi görüyorlar. sürücü yoksa kart kullanılamaz algısı olmasın. şuan için performansı bazı kartlarda yeterli olmayabilir açık kaynak dünyası böyle malesef süreç yavaş olabiliyor.

Benim kartlar bunlar.
Kod: [Seç]
Graphics:  Card-1: Advanced Micro Devices [AMD/ATI] Mullins [Radeon R4/R5 Graphics]
           bus-ID: 00:01.0
           Card-2: Advanced Micro Devices [AMD/ATI] Sun LE [Radeon HD 8550M / R5 M230]
Şimdi bu destek verilmeyecek kartlar ne olacak? Ben yeniden laptop mu alacağım destek kesildiği zaman? Kusura bakmayın cidden konuyu çokça okudum lâkin kartımla ilgili durumu anlayamadığım için yine de sormak istedim.
Sanırım sisteminde puma mimarisi bir apu var,a4-a8 arası,dahili r5 karta sahip,bu senin igpu yani birincil kartın,oyunlarda fazla performans alamazsın.İkincil ise 8000M serisi ve dgpu yani ikincil kartın,alacağın performans birincile göre yüksek olacaktır ancak eğer açık kaynak sürücü kullanıyorsan DRI_PRIME=1 gibi işlemler uygulaman gerekir.Her iki kartın da gcn destekli yani yapman gereken beklemek.4.9 ve devamındaki kerneli bekle derim(tahminim en geç kasım ayına kadar bütün commit,pull request,bugfix,regfixler yapılır)Bu arada llvm ve mesa teknolojileri de eşzamanlı gelişecektir lakin amd geliştiricilerini biraz zorlarsa ortaya muazzam bir sürücü çıkacak buna inanıyorum.


Sanırım sisteminde puma mimarisi bir apu var,a4-a8 arası,dahili r5 karta sahip,bu senin igpu yani birincil kartın,oyunlarda fazla performans alamazsın.İkincil ise 8000M serisi ve dgpu yani ikincil kartın,alacağın performans birincile göre yüksek olacaktır ancak eğer açık kaynak sürücü kullanıyorsan DRI_PRIME=1 gibi işlemler uygulaman gerekir.Her iki kartın da gcn destekli yani yapman gereken beklemek.4.9 ve devamındaki kerneli bekle derim(tahminim en geç kasım ayına kadar bütün commit,pull request,bugfix,regfixler yapılır)Bu arada llvm ve mesa teknolojileri de eşzamanlı gelişecektir lakin amd geliştiricilerini biraz zorlarsa ortaya muazzam bir sürücü çıkacak buna inanıyorum.
Çok çok teşekkür ederim. Gayet net bir şekilde ifade etmişsiniz. AMD tarafından desteğin geleceğini bileyim o yeter bana. :)
~~~~~   Bazı insanlar o kadar fakir ki tek sahip oldukları şey para...   ~~~~~

sanırım bende bir şeyler var 8)

Ne alsam elimde kalıyor, değeri düşüyor, güncellemesi bitiyor..

Elimde r9 280 sürümü var

Alıntı
AMD Product Family Compatibility  ​
Radeon™ RX 480 Graphics   AMD Radeon™ R9 M270X Graphics
Radeon™ RX 470 Graphics   AMD Radeon™ R9 360 Graphics
Radeon™ RX 460 Graphics   AMD Radeon™ R9 290X Graphics
AMD Radeon™ R9 Fury X Graphics   AMD Radeon™ R9 290 Graphics
AMD Radeon™ R9 Fury Graphics   AMD Radeon™ R9 285 Graphics
AMD Radeon™ R9 Nano Graphics   AMD Radeon™ R9 M485X
AMD Radeon™ R9 390X Graphics   AMD Radeon™ R7 M465
AMD Radeon™ R9 390 Graphics   AMD Radeon™ R7 M460
AMD Radeon™ R9 380X Graphics   AMD Radeon™ R7 M445
AMD Radeon™ R9 380 Graphics   AMD Radeon™ R7 M440
AMD Radeon™ R9 M395X Graphics   AMD Radeon™ R7 260X Graphics
AMD Radeon™ R9 M385 Graphics   AMD Radeon™ R7 260 Graphics
AMD Radeon™ R9 M380 Graphics   

desteklediği kartlara bakın r7'ler bile var r9 285'de var ama benim aldığım ekran kartı yok.

Sizce bunu kurup çalıştırsam tam performans alır mıyım?

R9 280 GCN 1.0 mimarisine sahip. Linux 4.9 ile GCN 1.0 için deneysel AMDGPU desteği geldi.
« Son Düzenleme: 12 Şubat 2017 - 14:49:14 Gönderen: neynefes »

sizdeki kart tahiti GCN1.0 ileride tam destekli sürücü çıkacak şimdilik beklemede kalın
16.04.2 güncellemesinde amdgpu sürücüsü öntanımlı olarak aktif edilebilir bekleyip göreceğiz.
« Son Düzenleme: 12 Şubat 2017 - 14:49:28 Gönderen: neynefes »